Bug Hunting Session
Bug 98960 - Crash with OpenGL image scaling
Summary: Crash with OpenGL image scaling
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.1.1.3 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.1.3
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-29 15:32 UTC by László Németh
Modified: 2016-10-25 19:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
WinDbg backtrace (11.50 KB, text/plain)
2016-03-29 17:28 UTC, László Németh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description László Németh 2016-03-29 15:32:56 UTC
OpenGL image scaling (using Bitmap.Scale()) results program crash with a "Display driver stopped responding and has recovered" Windows message.
Comment 1 László Németh 2016-03-29 17:28:11 UTC
Created attachment 123927 [details]
WinDbg backtrace
Comment 2 Commit Notification 2016-03-29 22:34:34 UTC
Marco Cecchetti committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f11a228cfd326bc089d7ff1c11a1561cdf5ee986

tdf#98960 fix OpenGL crash by optimized image scaling

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 László Németh 2016-03-29 22:46:48 UTC
Marco Cecchetti's patch fixed also the following Linux crash, too:

In Impress, using a test presentation with a 16 MP image, the scaling for the slide view resulted a program crash. Repeating in the make debugrun mode, that showed this OpenGL scaling problem, too:

[New Thread 0x2aaadd914700 (LWP 26567)]
warn:vcl.opengl:26538:1:vcl/source/opengl/OpenGLHelper.cxx:298: Loading file: 'file:///home/laci/libreoffice/instdir/program/../program/../cache/textureVertexShader-areaScaleFragmentShader-6D479974990D230817D4DF187C5E2962.bin': FAIL
warn:vcl.opengl:26538:4:vcl/source/opengl/OpenGLHelper.cxx:858: Watchdog triggered: hard disable GL
[New Thread 0x2aaaddd16700 (LWP 26672)]
[Thread 0x2aaaddd16700 (LWP 26672) exited]
warn:vcl.opengl:26538:1:vcl/source/opengl/OpenGLHelper.cxx:352: Binary size is zero
warn:vcl.opengl:26538:4:vcl/source/opengl/OpenGLHelper.cxx:877: Watchdog gave up: aborting

Program received signal SIGABRT, Aborted.
[Switching to Thread 0x2aaacb2a4700 (LWP 26543)]
0x00002aaaab316cc9 in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
56	../nptl/sysdeps/unix/sysv/linux/raise.c: Nincs ilyen fájl vagy könyvtár.
(gdb) bt
#0  0x00002aaaab316cc9 in __GI_raise (sig=sig@entry=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#1  0x00002aaaab31a0d8 in __GI_abort () at abort.c:89
#2  0x00002aaab308a412 in OpenGLWatchdogThread::execute (this=0x14d8f80)
    at /home/laci/libreoffice/vcl/source/opengl/OpenGLHelper.cxx:879
#3  0x00002aaaadf6b9e4 in salhelper::Thread::run (this=0x14d8f80)
    at /home/laci/libreoffice/salhelper/source/thread.cxx:40
#4  0x00002aaaadf6bdb7 in osl::threadFunc (param=0x14d8f90)
    at /home/laci/libreoffice/include/osl/thread.hxx:185
#5  0x00002aaaaad3d86e in osl_thread_start_Impl (pData=0x14d8fc0)
    at /home/laci/libreoffice/sal/osl/unx/thread.cxx:240
#6  0x00002aaaab6ad182 in start_thread (arg=0x2aaacb2a4700)
    at pthread_create.c:312
#7  0x00002aaaab3da47d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
Comment 4 Commit Notification 2016-04-01 03:19:13 UTC
Marco Cecchetti committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b8cc5b3dff66575329dee68e67c6191615c8c358&h=libreoffice-5-1

tdf#98960 fix OpenGL crash by optimized image scaling

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-04-07 00:28:17 UTC
Marco Cecchetti committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=641840dc0f63d23acceb7edd833f4a31f216009d

tdf#98960 - DrawTransformedTexture adapted to the new area scale shader

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-04-07 06:34:29 UTC
Marco Cecchetti committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f2e5cdbc7014f106c8dd75c5c47d40f0151438f0&h=libreoffice-5-1

tdf#98960 - DrawTransformedTexture adapted to the new area scale shader

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2016-05-25 16:20:15 UTC
going to assume this if fixed given the comments above